//========================================================

class Icon_Image extends Icon {

//========================================================
    //----------------------------------------------------
    onSetup(data){
    //----------------------------------------------------

        super.onSetup(data);
 

        this.src=null;
        if(data["src"] ) {
            this.src=ORIGIN+"/"+data["src"];
        }

    }
    //----------------------------------------------------

    onDraw(div,selected){

    //----------------------------------------------------

        var img=jQuery('<img/>',{src:this.src});
        img.appendTo(parent);
        return img;

   }

    //----------------------------------------------------
}

//========================================================

